Skip to main content
GET
/
api
/
v1
/
chatbot
/
{uuid}
/
data-sources
curl --location --request GET 'https://app.chatwize.ai/api/v1/chatbot/{uuid}/data-sources' \
--header 'Authorization: Bearer <token>'
import requests

uuid = '<chatbot-uuid>'
url = f'https://app.chatwize.ai/api/v1/chatbot/{uuid}/data-sources'
headers = {
    'Authorization': 'Bearer <token>'
}

response = requests.get(url, headers=headers)

if response.status_code == 200:
    print("Request successful!")
    print(response.json())
else:
    print("Request failed with status code:", response.status_code)
    print(response.text)
const axios = require('axios');

const uuid = '<chatbot-uuid>'
const url = `https://app.chatwize.ai/api/v1/chatbot/${uuid}/data-sources`;
const headers = {
    'Authorization': 'Bearer <token>'
};

axios.get(url, { headers })
    .then(response => {
        console.log('Request successful!');
        console.log(response.data);
    })
    .catch(error => {
        console.error('Request failed:', error);
    });
[
  {
    "created_at": "string",
    "file_name": "string",
    "file_size": 0,
    "meta_json": "string",
    "modified_at": "string",
    "status": "string",
    "title": "string",
    "tokens": 0,
    "type": "string",
    "uuid": "string"
  }
]

Path

uuid
string
required

Response

object[]
Source list
curl --location --request GET 'https://app.chatwize.ai/api/v1/chatbot/{uuid}/data-sources' \
--header 'Authorization: Bearer <token>'
import requests

uuid = '<chatbot-uuid>'
url = f'https://app.chatwize.ai/api/v1/chatbot/{uuid}/data-sources'
headers = {
    'Authorization': 'Bearer <token>'
}

response = requests.get(url, headers=headers)

if response.status_code == 200:
    print("Request successful!")
    print(response.json())
else:
    print("Request failed with status code:", response.status_code)
    print(response.text)
const axios = require('axios');

const uuid = '<chatbot-uuid>'
const url = `https://app.chatwize.ai/api/v1/chatbot/${uuid}/data-sources`;
const headers = {
    'Authorization': 'Bearer <token>'
};

axios.get(url, { headers })
    .then(response => {
        console.log('Request successful!');
        console.log(response.data);
    })
    .catch(error => {
        console.error('Request failed:', error);
    });
[
  {
    "created_at": "string",
    "file_name": "string",
    "file_size": 0,
    "meta_json": "string",
    "modified_at": "string",
    "status": "string",
    "title": "string",
    "tokens": 0,
    "type": "string",
    "uuid": "string"
  }
]